var KEY_VOLVER="KEY_VOLVER";

var KEY_BORRAR="KEY_BORRAR";



var JSP_PORTADASM="JSP_PORTADASM";

var JSP_PORTADA="JSP_PORTADA";





function ponAccion(key){

	if(key==KEY_VOLVER){

		if(document.forms["formListadoCuestionariosSM"].elements["filtro(ano)"].value=="2008"){

			document.forms["formListadoCuestionariosSM"].elements["niGrupoCuesSMAnu"].value="";

			document.forms["formListadoCuestionariosSM"].accion.value=JSP_PORTADASM;

			submmitFormulario(key);

		}else{

			document.forms["formListadoCuestionariosSM"].accion.value=JSP_PORTADA;

			submmitFormulario(key);

		}

	}

	else if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formListadoCuestionariosSM"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else

	{

		document.forms["formListadoCuestionariosSM"].accion.value=key;

		submmitFormulario(key);

	}

}





function submmitFormulario(key){

	document.forms["formListadoCuestionariosSM"].submit();

}



function onLoadPage() 

{	

	if(document.forms[0].niCuesSMAnu!=null) {

		if(document.forms[0].niCuesSMAnu.length == undefined){ //solo hay uno

			document.forms[0].niCuesSMAnu.checked=true;

		}else{

		document.forms[0].niCuesSMAnu[0].checked=true;

		}

		document.forms["formListadoCuestionariosSM"].borrar.disabled=false;

		document.forms["formListadoCuestionariosSM"].modificar.disabled=false;

		document.forms["formListadoCuestionariosSM"].consultar.disabled=false;

	} else {

		document.forms["formListadoCuestionariosSM"].borrar.disabled=true;

		document.forms["formListadoCuestionariosSM"].modificar.disabled=true;

		document.forms["formListadoCuestionariosSM"].consultar.disabled=true;

	}



	radioClick();



	//completarTituloCabecera();

	/*radioListado  = document.all['niCuesSMAnu']; 

	selectedradio = 0 ; 

	if (radioListado)

	{

		if (radioListado[selectedradio]){

			radioListado[selectedradio].click();

		}else{

			radioListado.click();

		}

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["modificacion"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["consulta"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["borrar"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["envio"],false);

	}

	else

	{

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["modificacion"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["consulta"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["borrar"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSM"].elements["envio"],true);

		

		//Como no hay registros se saca un mensaje informativo, siempre y cuando no se haya mostrado el mensaje de errores

		if(!document.all["tableError"])

		{

			document.all["informacion"].innerHTML= msgNoCues;

		}

		

	}*/





}





function completarTituloCabecera(){

	document.all["subtituloCabecera"].innerHTML=document.all["subtituloCabecera"].innerHTML + " " + document.forms["formListadoCuestionariosSM"].elements["filtro(ano)"].value;

}





/*function ponerRightsControl(control,blnDisabled)

{

	control.disabled=blnDisabled;

}*/



function radioClick(){

	//En caso de que se acceda desde la portada de 2008, obtenermos el ni del grupo de la fila seleccionada para poder eliminarla

	if(document.forms["formListadoCuestionariosSM"].elements["filtro(ano)"].value=="2008"){

		var array	= document.forms[0].niCuesSMAnu;

		var arrayHidden	= document.forms[0].niGrupoCuesSM;



		if(array!=null){

			if(array.length == undefined){

				document.forms["formListadoCuestionariosSM"].elements["niGrupoCuesSMAnu"].value = arrayHidden.value;

				return;

			} else {

				for (var i=0; i < array.length; i++){

					if (array[i].checked){

						//idGrupo = arrayHidden[i].value;

						document.forms["formListadoCuestionariosSM"].elements["niGrupoCuesSMAnu"].value = arrayHidden[i].value;

						return;

					}

				}

			}

		}

	}

	

}